apiVersion: apps/v1 # 指定api版本，此值必须在kubectl api-versions中 
kind: Deployment   # 指定创建资源的角色/类型 
metadata: # 资源的元数据/属性 
  name: cloud-register  # 资源的名字，在同一个namespace中必须唯一
  namespace: default  # 部署在哪个namespace中
  labels: # 设定资源的标签
    app: cloud-register
spec: # 资源规范字段
  replicas: 1 # 声明副本数目
  selector:
    matchLabels:
      app: cloud-register
  strategy: # 策略
    rollingUpdate: # 滚动更新
      maxSurge: 30% # 最大额外可以存在的副本数，可以为百分比，也可以为整数
      maxUnavailable: 30% # 示在更新过程中能够进入不可用状态的 Pod 的最大值，可以为百分比，也可以为整数
    type: RollingUpdate # 滚动更新策略
  template:
    metadata:
      labels:
        app: cloud-register
    spec:
      containers:
        - name: cloud-register  # 容器的名字
          image: 10.210.192.115:8443/oil-docker-prod/cloud-register:v1.0.1 # 容器使用的镜像地址
          imagePullPolicy: Always # 每次Pod启动拉取镜像策略，三个选择 Always、Never、IfNotPresent
          ports:
            - name: register-80  # 名称
              containerPort: 80 # 容器开发对外的端口
              protocol: TCP # 协议
          env:
            - name: LANG
              value: C.UTF-8
            - name: JAVA_HOME
              value: /usr/lib/jvm/java-8-openjdk-amd64/jre
            - name: TIME_ZONE
              value: Asia/Shanghai
            - name: JAVA_OPTS
              value: -Xms1024m -Xmx2048m -Djava.security.egd=file:/dev/./urandom
            - name: MYSQL_USER
              value: hysyaqfxjcyjxt
            - name: MYSQL_PWD
              value: Casst!@34
            - name: MYSQL_HOST
              value: rm-g2z4o015t7r16s5az.mysql.rds.ops.zww-gy.cloud
            - name: MYSQL_PORT
              value: "3306"
            - name: MYSQL_DB
              value: nacos_config
          resources: # 资源管理
            limits: # 最大使用
              cpu: "2"  # CPU，"1"(1核心) = 1000m。将用于docker run --cpu-shares参数
              memory: 4G  # 内存，1G = 1024Mi。将用于docker run --memory参数
            requests: # 容器运行时，最低资源需求，也就是说最少需要多少资源容器才能正常运行
              cpu: 500m
              memory: 1G
          terminationMessagePath: /dev/terminatino-log
          terminationMessagePolicy: File

